<div class="row form">
  <div class="col-sm-8">
    <form [formGroup]="form" (ngSubmit)="onSubmit()">

      <div class="form-group row">
        <label class="col-sm-3" for="name">Name</label>
        <div class="col-sm-9">
          <input
            formControlName="name"
            type="text"
            id="name"
            class="form-control">
        </div>
      </div>

      <div class="form-group row">
        <label class="col-sm-3" for="phone">Phone</label>
        <div class="col-sm-9">
          <input
            formControlName="phone"
            type="text"
            id="phone"
            class="form-control">
        </div>
      </div>

      <div class="form-group row">
        <label class="col-sm-3" for="faculty">Faculty</label>
        <div class="col-sm-9">
          <select class="custom-select"
                  formControlName="faculty"
                  type="text"
                  id="faculty">
            <option value="#1">Faculty-name_01</option>
            <option value="#2">Faculty-name_02</option>
            <option value="#3">Faculty-name_03</option>
          </select>
        </div>
      </div>

      <div class="form-group row">
        <label class="col-sm-3" for="calender">Date of Birth</label>
        <div class="col-sm-9">
          <input
            formControlName="dob"
            type="date"
            id="calender"
            value="2013-01-08"
            class="form-control">
        </div>
      </div>

      <div class="form-group row">
        <label class="col-sm-3">Address</label>
        <div class="col-sm-9" formGroupName="address">
          <input
            formControlName="state"
            type="text"
            placeholder="state"
            class="form-control">
          <input
            formControlName="country"
            type="text"
            placeholder="country"
            class="form-control">
        </div>
      </div>

      <div class="form-group row">
        <label class="col-sm-3" for="image">Picture</label>
        <div class="col-sm-9">
          <input
            formControlName="image"
            type="file"
            id="image"
            class="form-control-file">
        </div>
      </div>

      <button type="submit" class="btn btn-primary">Save</button>
      <button type="button" class="btn btn-info" routerLink="/">Back</button>
    </form>
  </div>
</div>
